Passenger 5.0.15: JRuby 9.0.0.0 support and more

Version 5.0.15 of the Phusion Passenger application server for Ruby, Python, Node.js and Meteor has been released.

If you hadn't already, be sure to check out the many major improvements that the 5.x series of Passenger introduces. And please be aware that you can enjoy enterprise features and sponsor the open source development directly by buying Phusion Passenger Enterprise.

JRuby 9.0.0.0 support

Last week, the JRuby team released version 9.0.0.0 of their awesome JVM-based Ruby implementation. Passenger already supported older versions of JRuby. This version of Passenger adds support for JRuby 9.0.0.0. Closes GH-1562.

Passenger Library integration

Last week, we introduced the Passenger Library project, an effort to revamp the Passenger documentation. This release updates all documentation links to the Passenger Library.

Miscellaneous

  • Support SHA256 digests for the Rails asset pipeline, as used by Sprockets 3.x.
  • Fixes some bugs in Union Station support, which causes some data (such as controller information and exceptions) to not be logged.

Installing 5.0.15

Please read the installation guide to learn how to install Passenger.

Upgrading to 5.0.15

We recommend upgrading to the latest version of Passenger, especially if you are on version 5.0.13 or below.

OS X
OS X
Debian
Debian
Ubuntu
Ubuntu
Heroku
Heroku
Red Hat
Red Hat
CentOS
CentOS
Ruby gem
Ruby gem
Tarball
Tarball
Ruby gem
Docker

If you are upgrading from 4.x, please read the 5.0 upgrade notes to learn about potential upgrade caveats.

Final

Phusion Passenger's core is open source. Please fork or watch us on Github. :)

comments powered by Disqus